source: rtems/contrib/crossrpms/patches/gdb-6.8.50.20090629-rtems4.10-20090629.diff @ 1e6f181

4.104.115
Last change on this file since 1e6f181 was db47aff, checked in by Ralf Corsepius <ralf.corsepius@…>, on 06/29/09 at 16:29:42

New.

  • Property mode set to 100644
File size: 15.4 KB
  • gdb-6.8.50.20090629

    diff -Naur gdb-6.8.50.20090629.orig/bfd/sysdep.h gdb-6.8.50.20090629/bfd/sysdep.h
    old new  
    136136#endif
    137137
    138138#if !HAVE_DECL_STRSTR
    139 extern char *strstr ();
     139/* extern char *strstr (); */
    140140#endif
    141141
    142142#ifdef HAVE_FTELLO
  • gdb-6.8.50.20090629

    diff -Naur gdb-6.8.50.20090629.orig/gdb/lm32-tdep.c gdb-6.8.50.20090629/gdb/lm32-tdep.c
    old new  
    3535#include "regcache.h"
    3636#include "trad-frame.h"
    3737#include "reggroups.h"
    38 #include "opcodes/lm32-desc.h"
     38#include "../opcodes/lm32-desc.h"
    3939
    4040#include "gdb_string.h"
    4141
  • sim/erc32/configure

    diff -Naur gdb-6.8.50.20090629.orig/sim/erc32/configure gdb-6.8.50.20090629/sim/erc32/configure
    old new  
    309309# include <unistd.h>
    310310#endif"
    311311
    312 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS sim_environment sim_alignment sim_assert sim_bitsize sim_endian sim_hostendian sim_float sim_scache sim_default_model sim_hw_cflags sim_hw_objs sim_hw sim_inline sim_packages sim_regparm sim_reserved_bits sim_smp sim_stdcall sim_xor_endian WARN_CFLAGS WERROR_CFLAGS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CC_FOR_BUILD HDEFINES AR RANLIB ac_ct_RANLIB USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT CPP EGREP MAINT sim_bswap sim_cflags sim_debug sim_stdio sim_trace sim_profile PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI TERMCAP READLINE cgen_breaks LIBOBJS LTLIBOBJS'
     312ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS sim_environment sim_alignment sim_assert sim_bitsize sim_endian sim_hostendian sim_float sim_scache sim_default_model sim_hw_cflags sim_hw_objs sim_hw sim_inline sim_packages sim_regparm sim_reserved_bits sim_smp sim_stdcall sim_xor_endian WARN_CFLAGS WERROR_CFLAGS build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CC_FOR_BUILD HDEFINES AR RANLIB ac_ct_RANLIB USE_NLS LIBINTL LIBINTL_DEP INCINTL XGETTEXT GMSGFMT POSUB CATALOGS DATADIRNAME INSTOBJEXT GENCAT CATOBJEXT CPP EGREP MAINT sim_bswap sim_cflags sim_debug sim_stdio sim_trace sim_profile PKGVERSION REPORT_BUGS_TO REPORT_BUGS_TEXI READLINE READLINE_DEPS READLINE_CFLAGS cgen_breaks LIBOBJS LTLIBOBJS'
    313313ac_subst_files=''
    314314
    315315# Initialize some variables set by options.
     
    863863  --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
    864864  --with-pkgversion=PKG   Use PKG in the version string in place of "GDB"
    865865  --with-bugurl=URL       Direct users to URL to report a bug
     866  --with-system-readline  use installed readline library
    866867
    867868Some influential environment variables:
    868869  CC          C compiler command
     
    15091510
    15101511# Test for GNAT.
    15111512# We require the gnatbind program, and a compiler driver that
    1512 # understands Ada.  We use the user's CC setting, already found,
    1513 # and possibly add $1 to the command-line parameters.
     1513# understands Ada.  We use the user's CC setting, already found.
    15141514#
    15151515# Sets the shell variable have_gnat to yes or no as appropriate, and
    15161516# substitutes GNATBIND and GNATMAKE.
     
    15371537
    15381538
    15391539
    1540 
    1541 
    15421540# Bugs in autoconf 2.59 break the call to SIM_AC_COMMON, hack around
    15431541# it by inlining the macro's contents.
    15441542# This file contains common code used by all simulators.
     
    49404938done
    49414939
    49424940
    4943 # In the Cygwin environment, we need some additional flags.
    4944 echo "$as_me:$LINENO: checking for cygwin" >&5
    4945 echo $ECHO_N "checking for cygwin... $ECHO_C" >&6
    4946 if test "${sim_cv_os_cygwin+set}" = set; then
    4947   echo $ECHO_N "(cached) $ECHO_C" >&6
    4948 else
    4949   cat >conftest.$ac_ext <<_ACEOF
    4950 /* confdefs.h.  */
    4951 _ACEOF
    4952 cat confdefs.h >>conftest.$ac_ext
    4953 cat >>conftest.$ac_ext <<_ACEOF
    4954 /* end confdefs.h.  */
    49554941
    4956 #ifdef __CYGWIN__
    4957 lose
    4958 #endif
    4959 _ACEOF
    4960 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 |
    4961   $EGREP "lose" >/dev/null 2>&1; then
    4962   sim_cv_os_cygwin=yes
    4963 else
    4964   sim_cv_os_cygwin=no
    4965 fi
    4966 rm -f conftest*
     4942# Check whether --with-system-readline or --without-system-readline was given.
     4943if test "${with_system_readline+set}" = set; then
     4944  withval="$with_system_readline"
    49674945
    4968 fi
    4969 echo "$as_me:$LINENO: result: $sim_cv_os_cygwin" >&5
    4970 echo "${ECHO_T}$sim_cv_os_cygwin" >&6
     4946fi;
    49714947
    4972 if test x$sim_cv_os_cygwin = xyes; then
    4973   TERMCAP='`if test -r ../../libtermcap/libtermcap.a; then echo ../../libtermcap/libtermcap.a; else echo -ltermcap; fi` -luser32'
    4974 else
    4975   echo "$as_me:$LINENO: checking for main in -ltermcap" >&5
    4976 echo $ECHO_N "checking for main in -ltermcap... $ECHO_C" >&6
    4977 if test "${ac_cv_lib_termcap_main+set}" = set; then
    4978   echo $ECHO_N "(cached) $ECHO_C" >&6
    4979 else
    4980   ac_check_lib_save_LIBS=$LIBS
    4981 LIBS="-ltermcap  $LIBS"
    4982 cat >conftest.$ac_ext <<_ACEOF
     4948if test "$with_system_readline" = yes; then
     4949  echo "$as_me:$LINENO: checking for readline" >&5
     4950echo $ECHO_N "checking for readline... $ECHO_C" >&6
     4951  save_LIBS="$LIBS"
     4952  LIBS="-lreadline $save_LIBS"
     4953  cat >conftest.$ac_ext <<_ACEOF
    49834954/* confdefs.h.  */
    49844955_ACEOF
    49854956cat confdefs.h >>conftest.$ac_ext
    49864957cat >>conftest.$ac_ext <<_ACEOF
    49874958/* end confdefs.h.  */
    49884959
    4989 
     4960/* Override any gcc2 internal prototype to avoid an error.  */
     4961#ifdef __cplusplus
     4962extern "C"
     4963#endif
     4964/* We use char because int might match the return type of a gcc2
     4965   builtin and then its argument prototype would still apply.  */
     4966char add_history ();
    49904967int
    49914968main ()
    49924969{
    4993 main ();
     4970add_history ();
    49944971  ;
    49954972  return 0;
    49964973}
     
    50174994  ac_status=$?
    50184995  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    50194996  (exit $ac_status); }; }; then
    5020   ac_cv_lib_termcap_main=yes
     4997  READLINE=-lreadline
    50214998else
    50224999  echo "$as_me: failed program was:" >&5
    50235000sed 's/^/| /' conftest.$ac_ext >&5
    50245001
    5025 ac_cv_lib_termcap_main=no
    5026 fi
    5027 rm -f conftest.err conftest.$ac_objext \
    5028       conftest$ac_exeext conftest.$ac_ext
    5029 LIBS=$ac_check_lib_save_LIBS
    5030 fi
    5031 echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_main" >&5
    5032 echo "${ECHO_T}$ac_cv_lib_termcap_main" >&6
    5033 if test $ac_cv_lib_termcap_main = yes; then
    5034   TERMCAP=-ltermcap
    5035 else
    5036   TERMCAP=""
    5037 fi
    5038 
    5039 fi
    5040 
    5041 
    5042 # We prefer the in-tree readline.  Top-level dependencies make sure
    5043 # src/readline (if it's there) is configured before src/sim.
    5044 if test -r ../../readline/Makefile; then
    5045   READLINE=../../readline/libreadline.a
    5046 else
    5047   echo "$as_me:$LINENO: checking for readline in -lreadline" >&5
    5048 echo $ECHO_N "checking for readline in -lreadline... $ECHO_C" >&6
    5049 if test "${ac_cv_lib_readline_readline+set}" = set; then
    5050   echo $ECHO_N "(cached) $ECHO_C" >&6
    5051 else
    5052   ac_check_lib_save_LIBS=$LIBS
    5053 LIBS="-lreadline $TERMCAP $LIBS"
    5054 cat >conftest.$ac_ext <<_ACEOF
     5002 LIBS="-lreadline -lncurses $save_LIBS"
     5003      cat >conftest.$ac_ext <<_ACEOF
    50555004/* confdefs.h.  */
    50565005_ACEOF
    50575006cat confdefs.h >>conftest.$ac_ext
     
    50645013#endif
    50655014/* We use char because int might match the return type of a gcc2
    50665015   builtin and then its argument prototype would still apply.  */
    5067 char readline ();
     5016char add_history ();
    50685017int
    50695018main ()
    50705019{
    5071 readline ();
     5020add_history ();
    50725021  ;
    50735022  return 0;
    50745023}
     
    50955044  ac_status=$?
    50965045  echo "$as_me:$LINENO: \$? = $ac_status" >&5
    50975046  (exit $ac_status); }; }; then
    5098   ac_cv_lib_readline_readline=yes
     5047  READLINE="-lreadline -lncurses"
    50995048else
    51005049  echo "$as_me: failed program was:" >&5
    51015050sed 's/^/| /' conftest.$ac_ext >&5
    51025051
    5103 ac_cv_lib_readline_readline=no
     5052{ { echo "$as_me:$LINENO: error: unable to detect readline" >&5
     5053echo "$as_me: error: unable to detect readline" >&2;}
     5054   { (exit 1); exit 1; }; }
    51045055fi
    51055056rm -f conftest.err conftest.$ac_objext \
    51065057      conftest$ac_exeext conftest.$ac_ext
    5107 LIBS=$ac_check_lib_save_LIBS
     5058
    51085059fi
    5109 echo "$as_me:$LINENO: result: $ac_cv_lib_readline_readline" >&5
    5110 echo "${ECHO_T}$ac_cv_lib_readline_readline" >&6
    5111 if test $ac_cv_lib_readline_readline = yes; then
    5112   READLINE=-lreadline
    5113 else
    5114   { { echo "$as_me:$LINENO: error: the required \"readline\" library is missing" >&5
    5115 echo "$as_me: error: the required \"readline\" library is missing" >&2;}
    5116    { (exit 1); exit 1; }; }
     5060rm -f conftest.err conftest.$ac_objext \
     5061      conftest$ac_exeext conftest.$ac_ext
     5062  LIBS="$save_LIBS"
     5063  echo "$as_me:$LINENO: result: $READLINE" >&5
     5064echo "${ECHO_T}$READLINE" >&6
     5065  READLINE_DEPS=
     5066  READLINE_CFLAGS=
     5067else
     5068  READLINE='$(READLINE_DIR)/libreadline.a'
     5069  READLINE_DEPS='$(READLINE)'
     5070  READLINE_CFLAGS='-I$(READLINE_SRC)/..'
    51175071fi
    51185072
    5119 fi
     5073
     5074
    51205075
    51215076
    51225077ac_sources="$sim_link_files"
     
    58395794s,@PKGVERSION@,$PKGVERSION,;t t
    58405795s,@REPORT_BUGS_TO@,$REPORT_BUGS_TO,;t t
    58415796s,@REPORT_BUGS_TEXI@,$REPORT_BUGS_TEXI,;t t
    5842 s,@TERMCAP@,$TERMCAP,;t t
    58435797s,@READLINE@,$READLINE,;t t
     5798s,@READLINE_DEPS@,$READLINE_DEPS,;t t
     5799s,@READLINE_CFLAGS@,$READLINE_CFLAGS,;t t
    58445800s,@cgen_breaks@,$cgen_breaks,;t t
    58455801s,@LIBOBJS@,$LIBOBJS,;t t
    58465802s,@LTLIBOBJS@,$LTLIBOBJS,;t t
  • sim/erc32/configure.ac

    diff -Naur gdb-6.8.50.20090629.orig/sim/erc32/configure.ac gdb-6.8.50.20090629/sim/erc32/configure.ac
    old new  
    1111
    1212AC_CHECK_HEADERS(stdlib.h)
    1313
    14 # In the Cygwin environment, we need some additional flags.
    15 AC_CACHE_CHECK([for cygwin], sim_cv_os_cygwin,
    16 [AC_EGREP_CPP(lose, [
    17 #ifdef __CYGWIN__
    18 lose
    19 #endif],[sim_cv_os_cygwin=yes],[sim_cv_os_cygwin=no])])
     14AC_ARG_WITH([system-readline],
     15  [AS_HELP_STRING([--with-system-readline],
     16                  [use installed readline library])])
    2017
    21 if test x$sim_cv_os_cygwin = xyes; then
    22   TERMCAP='`if test -r ../../libtermcap/libtermcap.a; then echo ../../libtermcap/libtermcap.a; else echo -ltermcap; fi` -luser32'
     18if test "$with_system_readline" = yes; then
     19  AC_MSG_CHECKING([for readline])
     20  save_LIBS="$LIBS"
     21  LIBS="-lreadline $save_LIBS"
     22  AC_LINK_IFELSE([AC_LANG_CALL([],
     23    [add_history])], [READLINE=-lreadline],
     24    [ LIBS="-lreadline -lncurses $save_LIBS"
     25      AC_LINK_IFELSE([AC_LANG_CALL([],
     26        [add_history])], [READLINE="-lreadline -lncurses"],
     27        [AC_MSG_ERROR([unable to detect readline])])
     28    ])
     29  LIBS="$save_LIBS"
     30  AC_MSG_RESULT($READLINE)
     31  READLINE_DEPS=
     32  READLINE_CFLAGS=
    2333else
    24   AC_CHECK_LIB(termcap, main, TERMCAP=-ltermcap, TERMCAP="")
    25 fi
    26 AC_SUBST(TERMCAP)
    27 
    28 # We prefer the in-tree readline.  Top-level dependencies make sure
    29 # src/readline (if it's there) is configured before src/sim.
    30 if test -r ../../readline/Makefile; then
    31   READLINE=../../readline/libreadline.a
    32 else
    33   AC_CHECK_LIB(readline, readline, READLINE=-lreadline,
    34                AC_ERROR([the required "readline" library is missing]), $TERMCAP)
     34  READLINE='$(READLINE_DIR)/libreadline.a'
     35  READLINE_DEPS='$(READLINE)'
     36  READLINE_CFLAGS='-I$(READLINE_SRC)/..'
    3537fi
    3638AC_SUBST(READLINE)
     39AC_SUBST(READLINE_DEPS)
     40AC_SUBST(READLINE_CFLAGS)
     41
    3742SIM_AC_OUTPUT
  • gdb-6.8.50.20090629

    diff -Naur gdb-6.8.50.20090629.orig/sim/erc32/erc32.c gdb-6.8.50.20090629/sim/erc32/erc32.c
    old new  
    414414    if (rom8) mec_memcfg &= ~0x20000;
    415415    else mec_memcfg |= 0x20000;
    416416
    417     mem_ramsz = (256 * 1024) << ((mec_memcfg >> 10) & 7);
     417    mem_ramsz = (512 * 1024) << ((mec_memcfg >> 10) & 7);
    418418    mem_romsz = (128 * 1024) << ((mec_memcfg >> 18) & 7);
    419419
    420420    if (sparclite_board) {
  • sim/erc32/Makefile.in

    diff -Naur gdb-6.8.50.20090629.orig/sim/erc32/Makefile.in gdb-6.8.50.20090629/sim/erc32/Makefile.in
    old new  
    1919
    2020## COMMON_PRE_CONFIG_FRAG
    2121
    22 TERMCAP_LIB = @TERMCAP@
     22# TERMCAP_LIB = -lncurses
    2323READLINE_LIB = @READLINE@
    2424
    2525SIM_OBJS = exec.o erc32.o func.o help.o float.o interf.o
    2626SIM_EXTRA_LIBS = $(READLINE_LIB) $(TERMCAP_LIB) -lm
    27 SIM_EXTRA_ALL = sis
     27SIM_EXTRA_ALL = sis$(EXEEXT)
    2828SIM_EXTRA_INSTALL = install-sis
    2929SIM_EXTRA_CLEAN = clean-sis
    3030
     
    3838# `sis' doesn't need interf.o.
    3939SIS_OFILES = exec.o erc32.o func.o help.o float.o
    4040
    41 sis: sis.o $(SIS_OFILES) $(COMMON_OBJS) $(LIBDEPS)
    42         $(CC) $(ALL_CFLAGS) -o sis \
     41sis$(EXEEXT): sis.o $(SIS_OFILES) $(COMMON_OBJS) $(LIBDEPS)
     42        $(CC) $(ALL_CFLAGS) -o sis$(EXEEXT) \
    4343          sis.o $(SIS_OFILES) $(COMMON_OBJS) $(EXTRA_LIBS)
    4444
    4545# FIXME: This computes the build host's endianness, doesn't it?
     
    5252
    5353# Copy the files into directories where they will be run.
    5454install-sis: installdirs
    55         n=`echo sis | sed '$(program_transform_name)'`; \
    56         $(INSTALL_PROGRAM) sis$(EXEEXT) $(DESTDIR)$(bindir)/$$n$(EXEEXT)
     55        n=`echo sis$(EXEEXT) | sed '$(program_transform_name)'`; \
     56        $(INSTALL_PROGRAM) sis$(EXEEXT) $(DESTDIR)$(bindir)/$$n
    5757
    5858clean-sis:
    59         rm -f sis end end.h
     59        rm -f sis$(EXEEXT) end end.h
    6060
    6161configure:
    6262        @echo "Rebuilding configure..."
  • sim/h8300/compile.c

    diff -Naur gdb-6.8.50.20090629.orig/sim/h8300/compile.c gdb-6.8.50.20090629/sim/h8300/compile.c
    old new  
    3838# define SIGTRAP 5
    3939#endif
    4040
     41#ifdef _WIN32
     42#ifndef SIGBUS
     43#define SIGBUS 10
     44#endif
     45#endif
     46
    4147int debug;
    4248
    4349host_callback *sim_callback;
  • sim/lm32/Makefile.in

    diff -Naur gdb-6.8.50.20090629.orig/sim/lm32/Makefile.in gdb-6.8.50.20090629/sim/lm32/Makefile.in
    old new  
    3939
    4040arch.o: arch.c $(SIM_MAIN_DEPS)
    4141
     42traps.o: traps.c targ-vals.h $(SIM_MAIN_DEPS)
     43
    4244sim-if.o: sim-if.c $(SIM_MAIN_DEPS) $(srcdir)/../common/sim-core.h
    4345
    4446LM32BF_INCLUDE_DEPS = \
  • sim/m32c/Makefile.in

    diff -Naur gdb-6.8.50.20090629.orig/sim/m32c/Makefile.in gdb-6.8.50.20090629/sim/m32c/Makefile.in
    old new  
    5555        ./opc2c -l m32c.out $(srcdir)/m32c.opc > m32c.c
    5656
    5757opc2c : opc2c.o safe-fgets.o
    58         $(CC) $(CFLAGS) $(LDFLAGS) $^ -o $@
     58        $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) $(LDFLAGS_FOR_BUILD) $^ -o $@
    5959
    6060sample.x : $(srcdir)/sample.S $(srcdir)/sample.ld
    6161        ../../gcc/xgcc $(CPUFLAGS) -B../../gcc/ -c $(srcdir)/sample.S -o sample.o
     
    8383mem.o : mem.h cpu.h syscalls.h
    8484misc.o : cpu.h misc.h
    8585opc2c.o : safe-fgets.h
     86        $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) -o $@ -c $(srcdir)/opc2c.c
    8687reg.o : cpu.h
    8788safe-fgets.o : safe-fgets.h
     89        $(CC_FOR_BUILD) $(CFLAGS_FOR_BUILD) -o $@ -c $(srcdir)/safe-fgets.c
    8890srcdest.c : cpu.h mem.h
    8991syscalls.c : cpu.h mem.h syscalls.h
    9092
Note: See TracBrowser for help on using the repository browser.